<?php
/*
* Plugin Name: Simple Dynamic Remarketing
* Description: This plugin will add dynamic remarketing code 
* Version: 1.0.0
* Author: toastedweb
* Author URI: https://toastedweb.gr
* License: GPL2
*/

// Register settings
add_action( 'admin_init', 'register_dynamic_remarketing_settings' );
function register_dynamic_remarketing_settings() {
    register_setting( 'dynamic_remarketing', 'dynamic_remarketing_id' );
}

// Add menu item
add_action( 'admin_menu', 'dynamic_remarketing_menu' );
function dynamic_remarketing_menu() {
    add_options_page( 'Dynamic remarketing', 'Dynamic remarketing', 'manage_options', 'dynamic_remarketing', 'dynamic_remarketing_options' );
}

// Draw the menu page itself
function dynamic_remarketing_options() {
    ?>
    <div class="wrap">
        <h1>Dynamic remarketing</h1>
        <form method="post" action="options.php">
            <?php settings_fields( 'dynamic_remarketing' ); ?>
            <?php do_settings_sections( 'dynamic_remarketing' ); ?>
            <table class="form-table">
                <tr valign="top">
                    <th scope="row">Dynamic remarketing ID</th>
                    <td><input type="text" name="dynamic_remarketing_id" value="<?php echo esc_attr( get_option( 'dynamic_remarketing_id' ) ); ?>" /></td>
                </tr>
            </table>
            <?php submit_button(); ?>
        </form>
    </div>
    <?php
}

// Add Dynamic remarketing code to website
add_action('wp_head', 'add_remarketing_code');
$dynamic_remarketing_no = get_option( 'dynamic_remarketing_id' );
    
function add_remarketing_code() {
    $dynamic_remarketing_no = get_option( 'dynamic_remarketing_id' );
    echo '<script async src="https://www.googletagmanager.com/gtag/js?id=AW-10896405676"></script>';
echo '<script>
  window.dataLayer = window.dataLayer || [];
  function gtag(){dataLayer.push(arguments);}
  gtag("js", new Date());';

echo "gtag('config', 'AW-$dynamic_remarketing_no')";

echo '  </script>';
}	 
   //send product details
add_action( 'wp_head', 'send_product_details_to_gtag_on_head' );
function send_product_details_to_gtag_on_head() {
    $dynamic_remarketing_no = get_option( 'dynamic_remarketing_id' );
    if(is_product()){
        global $product;
    global $product;
    $product_id = $product->get_id();
    
    $product_price = $product->get_price();

    // gtag dynamic remarketing code
    echo '<script>
    gtag("event", "view_item", {
"send_to": "AW-'.$dynamic_remarketing_no.'",
    "value": "'.$product_price.'",
        "items": [
            {
                "id": "'.$product_id.'",
                "google_business_vertical": "retail"
            }
        ]
    });
    </script>';
}
}
?>
